<form [formGroup]="forma" (ngSubmit)="submit" #formControl="ngForm">
  <mat-card class="example-card">
    <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title>Condición</mat-card-title>
    </mat-card-header>

    <mat-card-content>
      <div class="col px-md-5">
        <mat-form-field>
          <mat-label>Opción de condiciones</mat-label>
          <mat-select formControlName = "idGenerado" (selectionChange)="getIdGenerado($event.value)" readonly>
            <mat-option *ngFor="let tipo of tipos" [value]="tipo">
              {{ tipo.nombre }}
            </mat-option>
          </mat-select>
        </mat-form-field>
       </div>
      <div class="row mx-md-5">
        <div class="col px-md-5">
          <mat-form-field>
            <input matInput placeholder="ID Condición" #idGenerado formControlName="idGenerado" readonly>
          </mat-form-field>
        </div>
        <div class="col px-md-5">
          <mat-form-field>
             <textarea matInput minlength="10" maxlength="150"
             cdkTextareaAutosize #autosize="cdkTextareaAutosize" cdkAutosizeMinRows="1"
             cdkAutosizeMaxRows="5" placeholder="Tipo / titulo" aria-label="Type: bold"
             #titulo formControlName="titulo" class="form-control" required></textarea>
             <mat-hint align="start"><strong>Registra Tipo/Titulo</strong> </mat-hint>
             <mat-hint align="end">{{ titulo.value.length }} / 150</mat-hint>
             <mat-error *ngIf="formControl.invalid">{{ getErrorMessage() }}</mat-error>
             <mat-error *ngIf="forma.get('titulo').hasError('minlength')">Dato debe tener al menos 10 caracteres</mat-error>
          </mat-form-field>
        </div>

        <div class="col px-md-5">
           <mat-form-field>
             <textarea matInput minlength="10" maxlength="300"
             cdkTextareaAutosize #autosize="cdkTextareaAutosize" cdkAutosizeMinRows="1"
             cdkAutosizeMaxRows="5" placeholder="Descripción"
             #descripcion formControlName="descripcion" class="form-control" required></textarea>
             <mat-hint align="start"><strong>Registra Descripción</strong> </mat-hint>
             <mat-hint align="end">{{ descripcion.value.length }} / 300</mat-hint>
             <mat-error *ngIf="formControl.invalid">{{ getErrorMessage() }}</mat-error>
             <mat-error *ngIf="forma.get('descripcion').hasError('minlength')">Dato debe tener al menos 10 caracteres</mat-error>
           </mat-form-field>
         </div>
     </div>
    </mat-card-content>

    <mat-card-actions>
      <div class="form-row my-3 text-center">
        <div class="form-group col-md-3">
          <button  mat-raised-button color="primary" class="custom">Salvar Avance</button>
        </div>
        <div class="form-group col-md-3">
          <a class="nav-link" href="#">Captura en Proceso</a>
        </div>
        <div class="form-group col-md-3">
          <button  mat-raised-button color="primary" class="custom">Validar</button>
        </div>
        <div class="form-group col-md-3">
          <button  mat-raised-button color="primary" class="custom">Enviar Aprobación</button>
        </div>
     </div>
     <div class="row mx-md-5">
       <div class="col px-md-5">
         <button [type]="submit" mat-raised-button color="primary" class="custom"
         [disabled]="!formControl.valid" (click)="update()">Grabar</button>
       </div>
       <div class="col px-md-5">
         <button mat-raised-button color="warm" class="custom" (click)="onNoClick()"
         type="button" mat-raised-button color="warn">Cancelar</button>
       </div>
     </div>
    </mat-card-actions>
  </mat-card>

</form>
